# Generated by Django 2.1.4 on 2019-05-02 09:37

from django.db import migrations

def make_scripts(apps, schema_editor):
    Script = apps.get_model("core", "Script")
    batch = []
    scripts = [
        {'iso_code': 'Adlm', 'name': 'Adlam', 'name_fr': 'adlam', 'text_direction': 'horizontal-rl'} ,
        {'iso_code': 'Afak', 'name': 'Afaka', 'name_fr': 'afaka'} ,
        {'iso_code': 'Aghb', 'name': 'Caucasian Albanian', 'name_fr': 'aghbanien'} ,
        {'iso_code': 'Ahom', 'name': 'Ahom, Tai Ahom', 'name_fr': 'âhom'} ,
        {'iso_code': 'Arab', 'name': 'Arabic', 'name_fr': 'arabe', 'text_direction': 'horizontal-rl'} ,
        {'iso_code': 'Aran', 'name': 'Arabic (Nastaliq variant)', 'name_fr': 'arabe (variante nastalique)'} ,
        {'iso_code': 'Armi', 'name': 'Imperial Aramaic', 'name_fr': 'araméen impérial', 'text_direction': 'horizontal-rl'} ,
        {'iso_code': 'Armn', 'name': 'Armenian', 'name_fr': 'arménien'} ,
        {'iso_code': 'Avst', 'name': 'Avestan', 'name_fr': 'avestique', 'text_direction': 'horizontal-rl'} ,
        {'iso_code': 'Bali', 'name': 'Balinese', 'name_fr': 'balinais'} ,
        {'iso_code': 'Bamu', 'name': 'Bamum', 'name_fr': 'bamoum'} ,
        {'iso_code': 'Bass', 'name': 'Bassa Vah', 'name_fr': 'bassa'} ,
        {'iso_code': 'Batk', 'name': 'Batak', 'name_fr': 'batik'} ,
        {'iso_code': 'Beng', 'name': 'Bengali (Bangla)', 'name_fr': 'bengalî (bangla)'} ,
        {'iso_code': 'Bhks', 'name': 'Bhaiksuki', 'name_fr': 'bhaïksukî'} ,
        {'iso_code': 'Blis', 'name': 'Blissymbols', 'name_fr': 'symboles Bliss'} ,
        {'iso_code': 'Bopo', 'name': 'Bopomofo', 'name_fr': 'bopomofo'} ,
        {'iso_code': 'Brah', 'name': 'Brahmi', 'name_fr': 'brahma'} ,
        {'iso_code': 'Brai', 'name': 'Braille', 'name_fr': 'braille'} ,
        {'iso_code': 'Bugi', 'name': 'Buginese', 'name_fr': 'bouguis'} ,
        {'iso_code': 'Buhd', 'name': 'Buhid', 'name_fr': 'bouhide'} ,
        {'iso_code': 'Cakm', 'name': 'Chakma', 'name_fr': 'chakma'} ,
        {'iso_code': 'Cans', 'name': 'Unified Canadian Aboriginal Syllabics', 'name_fr': 'syllabaire autochtone canadien unifié'} ,
        {'iso_code': 'Cari', 'name': 'Carian', 'name_fr': 'carien'} ,
        {'iso_code': 'Cham', 'name': 'Cham', 'name_fr': 'cham (čam, tcham)'} ,
        {'iso_code': 'Cher', 'name': 'Cherokee', 'name_fr': 'tchérokî'} ,
        {'iso_code': 'Cirt', 'name': 'Cirth', 'name_fr': 'cirth'} ,
        {'iso_code': 'Copt', 'name': 'Coptic', 'name_fr': 'copte'} ,
        {'iso_code': 'Cpmn', 'name': 'Cypro-Minoan', 'name_fr': 'syllabaire chypro-minoen'} ,
        {'iso_code': 'Cprt', 'name': 'Cypriot syllabary', 'name_fr': 'syllabaire chypriote', 'text_direction': 'horizontal-rl'} ,
        {'iso_code': 'Cyrl', 'name': 'Cyrillic', 'name_fr': 'cyrillique'} ,
        {'iso_code': 'Cyrs', 'name': 'Cyrillic (Old Church Slavonic variant)', 'name_fr': 'cyrillique (variante slavonne)'} ,
        {'iso_code': 'Deva', 'name': 'Devanagari (Nagari)', 'name_fr': 'dévanâgarî'} ,
        {'iso_code': 'Dogr', 'name': 'Dogra', 'name_fr': 'dogra'} ,
        {'iso_code': 'Dsrt', 'name': 'Deseret (Mormon)', 'name_fr': 'déseret (mormon)'} ,
        {'iso_code': 'Dupl', 'name': 'Duployan shorthand, Duployan stenography', 'name_fr': 'sténographie Duployé'} ,
        {'iso_code': 'Egyd', 'name': 'Egyptian demotic', 'name_fr': 'démotique égyptien'} ,
        {'iso_code': 'Egyh', 'name': 'Egyptian hieratic', 'name_fr': 'hiératique égyptien'} ,
        {'iso_code': 'Egyp', 'name': 'Egyptian hieroglyphs', 'name_fr': 'hiéroglyphes égyptiens'} ,
        {'iso_code': 'Elba', 'name': 'Elbasan', 'name_fr': 'elbasan'} ,
        {'iso_code': 'Elym', 'name': 'Elymaic', 'name_fr': 'élymaïque'} ,
        {'iso_code': 'Ethi', 'name': 'Ethiopic (Geʻez)', 'name_fr': 'éthiopien (geʻez, guèze)'} ,
        {'iso_code': 'Geok', 'name': 'Khutsuri (Asomtavruli and Nuskhuri)', 'name_fr': 'khoutsouri (assomtavrouli et nouskhouri)'} ,
        {'iso_code': 'Geor', 'name': 'Georgian (Mkhedruli and Mtavruli)', 'name_fr': 'géorgien (mkhédrouli et mtavrouli)'} ,
        {'iso_code': 'Glag', 'name': 'Glagolitic', 'name_fr': 'glagolitique'} ,
        {'iso_code': 'Gong', 'name': 'Gunjala Gondi', 'name_fr': 'gunjala gondî'} ,
        {'iso_code': 'Gonm', 'name': 'Masaram Gondi', 'name_fr': 'masaram gondî'} ,
        {'iso_code': 'Goth', 'name': 'Gothic', 'name_fr': 'gotique'} ,
        {'iso_code': 'Gran', 'name': 'Grantha', 'name_fr': 'grantha'} ,
        {'iso_code': 'Grek', 'name': 'Greek', 'name_fr': 'grec'} ,
        {'iso_code': 'Gujr', 'name': 'Gujarati', 'name_fr': 'goudjarâtî (gujrâtî)'} ,
        {'iso_code': 'Guru', 'name': 'Gurmukhi', 'name_fr': 'gourmoukhî'} ,
        {'iso_code': 'Hanb', 'name': 'Han with Bopomofo (alias for Han + Bopomofo)', 'name_fr': 'han avec bopomofo (alias pour han + bopomofo)'} ,
        {'iso_code': 'Hang', 'name': 'Hangul (Hangŭl, Hangeul)', 'name_fr': 'hangûl (hangŭl, hangeul)'} ,
        {'iso_code': 'Hani', 'name': 'Han (Hanzi, Kanji, Hanja)', 'name_fr': 'idéogrammes han (sinogrammes)'} ,
        {'iso_code': 'Hano', 'name': 'Hanunoo (Hanunóo)', 'name_fr': 'hanounóo'} ,
        {'iso_code': 'Hans', 'name': 'Han (Simplified variant)', 'name_fr': 'idéogrammes han (variante simplifiée)'} ,
        {'iso_code': 'Hant', 'name': 'Han (Traditional variant)', 'name_fr': 'idéogrammes han (variante traditionnelle)'} ,
        {'iso_code': 'Hatr', 'name': 'Hatran', 'name_fr': 'hatrénien', 'text_direction': 'horizontal-rl'} ,
        {'iso_code': 'Hebr', 'name': 'Hebrew', 'name_fr': 'hébreu', 'text_direction': 'horizontal-rl'} ,
        {'iso_code': 'Hira', 'name': 'Hiragana', 'name_fr': 'hiragana'} ,
        {'iso_code': 'Hluw', 'name': 'Anatolian Hieroglyphs (Luwian Hieroglyphs, Hittite Hieroglyphs)', 'name_fr': 'hiéroglyphes anatoliens (hiéroglyphes louvites, hiéroglyphes hittites)'} ,
        {'iso_code': 'Hmng', 'name': 'Pahawh Hmong', 'name_fr': 'pahawh hmong'} ,
        {'iso_code': 'Hmnp', 'name': 'Nyiakeng Puachue Hmong', 'name_fr': 'nyiakeng puachue hmong'} ,
        {'iso_code': 'Hrkt', 'name': 'Japanese syllabaries (alias for Hiragana + Katakana)', 'name_fr': 'syllabaires japonais (alias pour hiragana + katakana)'} ,
        {'iso_code': 'Hung', 'name': 'Old Hungarian (Hungarian Runic)', 'name_fr': 'runes hongroises (ancien hongrois)', 'text_direction': 'horizontal-rl'} ,
        {'iso_code': 'Inds', 'name': 'Indus (Harappan)', 'name_fr': 'indus'} ,
        {'iso_code': 'Ital', 'name': 'Old Italic (Etruscan, Oscan, etc.)', 'name_fr': 'ancien italique (étrusque, osque, etc.)'} ,
        {'iso_code': 'Jamo', 'name': 'Jamo (alias for Jamo subset of Hangul)', 'name_fr': 'jamo (alias pour le sous-ensemble jamo du hangûl)'} ,
        {'iso_code': 'Java', 'name': 'Javanese', 'name_fr': 'javanais'} ,
        {'iso_code': 'Jpan', 'name': 'Japanese (alias for Han + Hiragana + Katakana)', 'name_fr': 'japonais (alias pour han + hiragana + katakana)'} ,
        {'iso_code': 'Jurc', 'name': 'Jurchen', 'name_fr': 'jurchen'} ,
        {'iso_code': 'Kali', 'name': 'Kayah Li', 'name_fr': 'kayah li'} ,
        {'iso_code': 'Kana', 'name': 'Katakana', 'name_fr': 'katakana'} ,
        {'iso_code': 'Khar', 'name': 'Kharoshthi', 'name_fr': 'kharochthî', 'text_direction': 'horizontal-rl'} ,
        {'iso_code': 'Khmr', 'name': 'Khmer', 'name_fr': 'khmer'} ,
        {'iso_code': 'Khoj', 'name': 'Khojki', 'name_fr': 'khojkî'} ,
        {'iso_code': 'Kitl', 'name': 'Khitan large script', 'name_fr': 'grande écriture khitan'} ,
        {'iso_code': 'Kits', 'name': 'Khitan small script', 'name_fr': 'petite écriture khitan'} ,
        {'iso_code': 'Knda', 'name': 'Kannada', 'name_fr': 'kannara (canara)'} ,
        {'iso_code': 'Kore', 'name': 'Korean (alias for Hangul + Han)', 'name_fr': 'coréen (alias pour hangûl + han)'} ,
        {'iso_code': 'Kpel', 'name': 'Kpelle', 'name_fr': 'kpèllé'} ,
        {'iso_code': 'Kthi', 'name': 'Kaithi', 'name_fr': 'kaithî'} ,
        {'iso_code': 'Lana', 'name': 'Tai Tham (Lanna)', 'name_fr': 'taï tham (lanna)'} ,
        {'iso_code': 'Laoo', 'name': 'Lao', 'name_fr': 'laotien'} ,
        {'iso_code': 'Latf', 'name': 'Latin (Fraktur variant)', 'name_fr': 'latin (variante brisée)'} ,
        {'iso_code': 'Latg', 'name': 'Latin (Gaelic variant)', 'name_fr': 'latin (variante gaélique)'} ,
        {'iso_code': 'Latn', 'name': 'Latin', 'name_fr': 'latin'} ,
        {'iso_code': 'Leke', 'name': 'Leke', 'name_fr': 'léké'} ,
        {'iso_code': 'Lepc', 'name': 'Lepcha (Róng)', 'name_fr': 'lepcha (róng)'} ,
        {'iso_code': 'Limb', 'name': 'Limbu', 'name_fr': 'limbou'} ,
        {'iso_code': 'Lina', 'name': 'Linear A', 'name_fr': 'linéaire A'} ,
        {'iso_code': 'Linb', 'name': 'Linear B', 'name_fr': 'linéaire B'} ,
        {'iso_code': 'Lisu', 'name': 'Lisu (Fraser)', 'name_fr': 'lisu (Fraser)'} ,
        {'iso_code': 'Loma', 'name': 'Loma', 'name_fr': 'loma'} ,
        {'iso_code': 'Lyci', 'name': 'Lycian', 'name_fr': 'lycien'} ,
        {'iso_code': 'Lydi', 'name': 'Lydian', 'name_fr': 'lydien', 'text_direction': 'horizontal-rl'} ,
        {'iso_code': 'Mahj', 'name': 'Mahajani', 'name_fr': 'mahâjanî'} ,
        {'iso_code': 'Maka', 'name': 'Makasar', 'name_fr': 'makassar'} ,
        {'iso_code': 'Mand', 'name': 'Mandaic, Mandaean', 'name_fr': 'mandéen', 'text_direction': 'horizontal-rl'} ,
        {'iso_code': 'Mani', 'name': 'Manichaean', 'name_fr': 'manichéen', 'text_direction': 'horizontal-rl'} ,
        {'iso_code': 'Marc', 'name': 'Marchen', 'name_fr': 'marchen'} ,
        {'iso_code': 'Maya', 'name': 'Mayan hieroglyphs', 'name_fr': 'hiéroglyphes mayas'} ,
        {'iso_code': 'Medf', 'name': 'Medefaidrin (Oberi Okaime, Oberi Ɔkaimɛ)', 'name_fr': 'médéfaïdrine'} ,
        {'iso_code': 'Mend', 'name': 'Mende Kikakui', 'name_fr': 'mendé kikakui', 'text_direction': 'horizontal-rl'} ,
        {'iso_code': 'Merc', 'name': 'Meroitic Cursive', 'name_fr': 'cursif méroïtique'} ,
        {'iso_code': 'Mero', 'name': 'Meroitic Hieroglyphs', 'name_fr': 'hiéroglyphes méroïtiques'} ,
        {'iso_code': 'Mlym', 'name': 'Malayalam', 'name_fr': 'malayâlam'} ,
        {'iso_code': 'Modi', 'name': 'Modi, Moḍī', 'name_fr': 'modî'} ,
        {'iso_code': 'Mong', 'name': 'Mongolian', 'name_fr': 'mongol', 'text_direction': 'ttb'} ,
        {'iso_code': 'Moon', 'name': 'Moon (Moon code, Moon script, Moon type)', 'name_fr': 'écriture Moon'} ,
        {'iso_code': 'Mroo', 'name': 'Mro, Mru', 'name_fr': 'mro'} ,
        {'iso_code': 'Mtei', 'name': 'Meitei Mayek (Meithei, Meetei)', 'name_fr': 'meitei mayek'} ,
        {'iso_code': 'Mult', 'name': 'Multani', 'name_fr': 'multanî'} ,
        {'iso_code': 'Mymr', 'name': 'Myanmar (Burmese)', 'name_fr': 'birman'} ,
        {'iso_code': 'Nand', 'name': 'Nandinagari', 'name_fr': 'nandinâgarî'} ,
        {'iso_code': 'Narb', 'name': 'Old North Arabian (Ancient North Arabian)', 'name_fr': 'nord-arabique'} ,
        {'iso_code': 'Nbat', 'name': 'Nabataean', 'name_fr': 'nabatéen', 'text_direction': 'horizontal-rl'} ,
        {'iso_code': 'Newa', 'name': 'Newa, Newar, Newari, Nepāla lipi', 'name_fr': 'néwa, néwar, néwari, nepāla lipi'} ,
        {'iso_code': 'Nkdb', 'name': 'Naxi Dongba (na²¹ɕi³³ to³³ba²¹, Nakhi Tomba)', 'name_fr': 'naxi dongba'} ,
        {'iso_code': 'Nkgb', 'name': "Naxi Geba (na²¹ɕi³³ gʌ²¹ba²¹, 'Na-'Khi ²Ggŏ-¹baw, Nakhi Geba)", 'name_fr': 'naxi geba, nakhi geba'} ,
        {'iso_code': 'Nkoo', 'name': 'N’Ko', 'name_fr': 'n’ko', 'text_direction': 'horizontal-rl'} ,
        {'iso_code': 'Nshu', 'name': 'Nüshu', 'name_fr': 'nüshu'} ,
        {'iso_code': 'Ogam', 'name': 'Ogham', 'name_fr': 'ogam'} ,
        {'iso_code': 'Olck', 'name': 'Ol Chiki (Ol Cemet’, Ol, Santali)', 'name_fr': 'ol tchiki'} ,
        {'iso_code': 'Orkh', 'name': 'Old Turkic, Orkhon Runic', 'name_fr': 'orkhon', 'text_direction': 'horizontal-rl'} ,
        {'iso_code': 'Orya', 'name': 'Oriya (Odia)', 'name_fr': 'oriyâ (odia)'} ,
        {'iso_code': 'Osge', 'name': 'Osage', 'name_fr': 'osage'} ,
        {'iso_code': 'Osma', 'name': 'Osmanya', 'name_fr': 'osmanais'} ,
        {'iso_code': 'Palm', 'name': 'Palmyrene', 'name_fr': 'palmyrénien', 'text_direction': 'horizontal-rl'} ,
        {'iso_code': 'Pauc', 'name': 'Pau Cin Hau', 'name_fr': 'paou chin haou'} ,
        {'iso_code': 'Perm', 'name': 'Old Permic', 'name_fr': 'ancien permien'} ,
        {'iso_code': 'Phag', 'name': 'Phags-pa', 'name_fr': '’phags pa', 'text_direction': 'ttb'} ,
        {'iso_code': 'Phli', 'name': 'Inscriptional Pahlavi', 'name_fr': 'pehlevi des inscriptions', 'text_direction': 'horizontal-rl'} ,
        {'iso_code': 'Phlp', 'name': 'Psalter Pahlavi', 'name_fr': 'pehlevi des psautiers', 'text_direction': 'horizontal-rl'} ,
        {'iso_code': 'Phlv', 'name': 'Book Pahlavi', 'name_fr': 'pehlevi des livres'} ,
        {'iso_code': 'Phnx', 'name': 'Phoenician', 'name_fr': 'phénicien', 'text_direction': 'horizontal-rl'} ,
        {'iso_code': 'Plrd', 'name': 'Miao (Pollard)', 'name_fr': 'miao (Pollard)'} ,
        {'iso_code': 'Piqd', 'name': 'Klingon (KLI pIqaD)', 'name_fr': 'klingon (pIqaD du KLI)'} ,
        {'iso_code': 'Prti', 'name': 'Inscriptional Parthian', 'name_fr': 'parthe des inscriptions'} ,
        {'iso_code': 'Qaaa', 'name': 'Reserved for private use (start)', 'name_fr': 'réservé à l’usage privé (début)'} ,
        {'iso_code': 'Qabx', 'name': 'Reserved for private use (end)', 'name_fr': 'réservé à l’usage privé (fin)'} ,
        {'iso_code': 'Rjng', 'name': 'Rejang (Redjang, Kaganga)', 'name_fr': 'redjang (kaganga)'} ,
        {'iso_code': 'Rohg', 'name': 'Hanifi Rohingya', 'name_fr': 'hanifi rohingya', 'text_direction': 'horizontal-rl'} ,
        {'iso_code': 'Roro', 'name': 'Rongorongo', 'name_fr': 'rongorongo'} ,
        {'iso_code': 'Runr', 'name': 'Runic', 'name_fr': 'runique'} ,
        {'iso_code': 'Samr', 'name': 'Samaritan', 'name_fr': 'samaritain', 'text_direction': 'horizontal-rl'} ,
        {'iso_code': 'Sara', 'name': 'Sarati', 'name_fr': 'sarati'} ,
        {'iso_code': 'Sarb', 'name': 'Old South Arabian', 'name_fr': 'sud-arabique, himyarite', 'text_direction': 'horizontal-rl'} ,
        {'iso_code': 'Saur', 'name': 'Saurashtra', 'name_fr': 'saurachtra'} ,
        {'iso_code': 'Sgnw', 'name': 'SignWriting', 'name_fr': 'SignÉcriture, SignWriting', 'text_direction': 'ttb'} ,
        {'iso_code': 'Shaw', 'name': 'Shavian (Shaw)', 'name_fr': 'shavien (Shaw)'} ,
        {'iso_code': 'Shrd', 'name': 'Sharada, Śāradā', 'name_fr': 'charada, shard'} ,
        {'iso_code': 'Shui', 'name': 'Shuishu', 'name_fr': 'shuishu'} ,
        {'iso_code': 'Sidd', 'name': 'Siddham, Siddhaṃ, Siddhamātṛkā', 'name_fr': 'siddham'} ,
        {'iso_code': 'Sind', 'name': 'Khudawadi, Sindhi', 'name_fr': 'khoudawadî, sindhî'} ,
        {'iso_code': 'Sinh', 'name': 'Sinhala', 'name_fr': 'singhalais'} ,
        {'iso_code': 'Sogd', 'name': 'Sogdian', 'name_fr': 'sogdien', 'text_direction': 'horizontal-rl'} ,
        {'iso_code': 'Sogo', 'name': 'Old Sogdian', 'name_fr': 'ancien sogdien'} ,
        {'iso_code': 'Sora', 'name': 'Sora Sompeng', 'name_fr': 'sora sompeng'} ,
        {'iso_code': 'Soyo', 'name': 'Soyombo', 'name_fr': 'soyombo'} ,
        {'iso_code': 'Sund', 'name': 'Sundanese', 'name_fr': 'sundanais'} ,
        {'iso_code': 'Sylo', 'name': 'Syloti Nagri', 'name_fr': 'sylotî nâgrî'} ,
        {'iso_code': 'Syrc', 'name': 'Syriac', 'name_fr': 'syriaque', 'text_direction': 'horizontal-rl'} ,
        {'iso_code': 'Syre', 'name': 'Syriac (Estrangelo variant)', 'name_fr': 'syriaque (variante estranghélo)'} ,
        {'iso_code': 'Syrj', 'name': 'Syriac (Western variant)', 'name_fr': 'syriaque (variante occidentale)'} ,
        {'iso_code': 'Syrn', 'name': 'Syriac (Eastern variant)', 'name_fr': 'syriaque (variante orientale)'} ,
        {'iso_code': 'Tagb', 'name': 'Tagbanwa', 'name_fr': 'tagbanoua'} ,
        {'iso_code': 'Takr', 'name': 'Takri, Ṭākrī, Ṭāṅkrī', 'name_fr': 'tâkrî'} ,
        {'iso_code': 'Tale', 'name': 'Tai Le', 'name_fr': 'taï-le'} ,
        {'iso_code': 'Talu', 'name': 'New Tai Lue', 'name_fr': 'nouveau taï-lue'} ,
        {'iso_code': 'Taml', 'name': 'Tamil', 'name_fr': 'tamoul'} ,
        {'iso_code': 'Tang', 'name': 'Tangut', 'name_fr': 'tangoute'} ,
        {'iso_code': 'Tavt', 'name': 'Tai Viet', 'name_fr': 'taï viêt'} ,
        {'iso_code': 'Telu', 'name': 'Telugu', 'name_fr': 'télougou'} ,
        {'iso_code': 'Teng', 'name': 'Tengwar', 'name_fr': 'tengwar'} ,
        {'iso_code': 'Tfng', 'name': 'Tifinagh (Berber)', 'name_fr': 'tifinagh (berbère)'} ,
        {'iso_code': 'Tglg', 'name': 'Tagalog (Baybayin, Alibata)', 'name_fr': 'tagal (baybayin, alibata)'} ,
        {'iso_code': 'Thaa', 'name': 'Thaana', 'name_fr': 'thâna', 'text_direction': 'horizontal-rl'} ,
        {'iso_code': 'Thai', 'name': 'Thai', 'name_fr': 'thaï'} ,
        {'iso_code': 'Tibt', 'name': 'Tibetan', 'name_fr': 'tibétain'} ,
        {'iso_code': 'Tirh', 'name': 'Tirhuta', 'name_fr': 'tirhouta'} ,
        {'iso_code': 'Ugar', 'name': 'Ugaritic', 'name_fr': 'ougaritique'} ,
        {'iso_code': 'Vaii', 'name': 'Vai', 'name_fr': 'vaï'} ,
        {'iso_code': 'Visp', 'name': 'Visible Speech', 'name_fr': 'parole visible'} ,
        {'iso_code': 'Wara', 'name': 'Warang Citi (Varang Kshiti)', 'name_fr': 'warang citi'} ,
        {'iso_code': 'Wcho', 'name': 'Wancho', 'name_fr': 'wantcho'} ,
        {'iso_code': 'Wole', 'name': 'Woleai', 'name_fr': 'woléaï'} ,
        {'iso_code': 'Xpeo', 'name': 'Old Persian', 'name_fr': 'cunéiforme persépolitain'} ,
        {'iso_code': 'Xsux', 'name': 'Cuneiform, Sumero-Akkadian', 'name_fr': 'cunéiforme suméro-akkadien'} ,
        {'iso_code': 'Yiii', 'name': 'Yi', 'name_fr': 'yi'} ,
        {'iso_code': 'Zanb', 'name': 'Zanabazar Square (Zanabazarin Dörböljin Useg, Xewtee Dörböljin Bicig, Horizontal Square Script)', 'name_fr': 'zanabazar quadratique'} ,
        {'iso_code': 'Zinh', 'name': 'Code for inherited script', 'name_fr': 'codet pour écriture héritée'} ,
        {'iso_code': 'Zmth', 'name': 'Mathematical notation', 'name_fr': 'notation mathématique'} ,
        {'iso_code': 'Zsye', 'name': 'Symbols (Emoji variant)', 'name_fr': 'symboles (variante émoji)'} ,
        {'iso_code': 'Zsym', 'name': 'Symbols', 'name_fr': 'symboles'} ,
        {'iso_code': 'Zxxx', 'name': 'Code for unwritten documents', 'name_fr': 'codet pour les documents non écrits'} ,
        {'iso_code': 'Zyyy', 'name': 'Code for undetermined script', 'name_fr': 'codet pour écriture indéterminée'} ,
        {'iso_code': 'Zzzz', 'name': 'Code for uncoded script', 'name_fr': 'codet pour écriture non codée'} ,
    ]
    for script in scripts:
        batch.append(Script(**script))
    Script.objects.bulk_create(batch)


def delete_scripts(apps, schema_editor):
    Script = apps.get_model("core", "Script")
    Script.objects.all().delete()


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0018_auto_20190502_0936'),
    ]

    operations = [
        migrations.RunPython(make_scripts, reverse_code=delete_scripts),
    ]
